Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.gui
Class ManageTopology

    java.lang.Object
      avrora.gui.ManageTopology

public class ManageTopology
extends java.lang.Object

This manages the topology window within the GUI. Currently, since only the SimpleAir topology is valid for the GUI, it lists a table of added nodes. All nodes are equidistant to each other.

The class will have to be expanded to include more advanced topologies and corresponding visuals

Field Summary
`javax.swing.JTable` | `table` You can directly access this table in order to get the values of nodes currently selected
`javax.swing.table.DefaultTableModel` | `theModel` the model holds the underlying data for the table If you add nodes to the sim, you should also add them to this model
`javax.swing.JPanel` | `topologyVisual` This is a containter panel - it can be directly displayed and the internals of this class will ensure it displays the correct topology information

Constructor Summary
`ManageTopology()`

Method Summary
`static ManageTopology` | `createManageTopology()` This is the "constructor" for this class.
`void` | `createSimpleAirTable()` This function will create a table of all the nodes currently registered.
`void` | `removeSelectedNodes()` Ostensibly the user has selected nodes in the table for the Simple Air Module.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### topologyVisual

    public javax.swing.JPanel topologyVisual

  This is a containter panel - it can be directly displayed and the internals of this class will ensure it displays the correct topology information

### table

    public javax.swing.JTable table

  You can directly access this table in order to get the values of nodes currently selected

### theModel

    public javax.swing.table.DefaultTableModel theModel

  the model holds the underlying data for the table If you add nodes to the sim, you should also add them to this model

Constructor Detail

### ManageTopology

    public ManageTopology()

Method Detail

### createManageTopology

    public static ManageTopology createManageTopology()

  This is the "constructor" for this class. It inits all appropiate visual elements so they can be displayed by the GUI

  Returns:
    An instance of this class, whose caller can display it's topologyVisual field

### createSimpleAirTable

    public void createSimpleAirTable()

  This function will create a table of all the nodes currently registered.

  It can also be called in order to "redraw" the table after a change has been made.

### removeSelectedNodes

    public void removeSelectedNodes()

  Ostensibly the user has selected nodes in the table for the Simple Air Module. We want to remove any of those selected nodes from our internal storage of node elements

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD